Manual do PHP
Anterior |  | Próxima

# ftp_set_option

(PHP 4 >= 4.2.0, PHP 5)

ftp_set_option -- Define opções diversas em tempo de execução

## Descrição

bool ftp_set_option ( resource ftp_stream, int option, mixed value )

Esta função controla várias opções em tempo de execução para a conexão FTP especificada.

## Parâmetros

`ftp_stream`

  O identificador da conexão FTP.

`option`

  Atualmente, as seguintes opções são suportadas:

  Tabela 1. Opção em tempo de execução do FTP suportada

  `FTP_TIMEOUT_SEC` | Muda o limite de tempo em segundos usado para todas as operações de rede relacionadas. `value` deve ser um inteiro que seja maior do que 0. O limite de tempo padrão é 90 segundos.
  `FTP_AUTOSEEK` | Quando ativado, requisições GET ou PUT com um parâmetro `resumepos` ou `startpos` irá primeiro procurar a posição especificada no arquivo. Isto esta ativado por padrâo.

`value`

  Este valor depende de qual `option` foi escolhida para ser alterada.

## Valores de retornado

Retorna `TRUE` se a opção pode ser definida; `FALSE` se não. Uma mensagem de aviso será emitida se `option` não for suportada ou se o `value` passado não for o valor esperado para a `option` dada.

## Exemplos

Exemplo 1. Exemplo ftp_set_option()
`<?php // Set the network timeout to 10 seconds ftp_set_option($conn_id, FTP_TIMEOUT_SEC, 10); ?>`

## Veja também

ftp_get_option()

Anterior | Principal | Próxima
ftp_rmdir | Acima | ftp_site